error message the project is not compatible with current version of premiere elements

  • 1
  • Problem
  • Updated 5 years ago
I created a project on premiere elements 10 (mac OS) about a year ago along with a number of other projects. When revisiting this one project I get the following message:

the project is not compatible with current version of premiere elements

All other projects opened fine so what has happened to this project? Is there any way of recovering it
Photo of Vikash Popat

Vikash Popat

  • 1 Post
  • 0 Reply Likes
  • frustrated

Posted 5 years ago

  • 1

Be the first to post a reply!